libkjsapi4_4.14.16-0ubuntu3.3_amd64.deb


Advertisement

Description

libkjsapi4 - KJS API Library for the KDE Development Platform

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Universe amd64
Package filename libkjsapi4_4.14.16-0ubuntu3.3_amd64.deb
Package name libkjsapi4
Package version 4.14.16
Package release 0ubuntu3.3
Package architecture amd64
Package type deb
Category universe/libs
Homepage http://www.kde.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 259.81 KB
Installed size 1.10 MB
This library provides an ECMAScript compatible interpreter. The ECMA standard
is based on well known scripting languages such as Netscape's JavaScript and
Microsoft's JScript.
This package is part of the KDE Development Platform libraries module.

Alternatives

Package Version Architecture Repository
libkjsapi4_4.14.22-0ubuntu2.2~ubuntu16.04~ppa1_i386.deb 4.14.22 i386 Kubuntu Backports
libkjsapi4_4.14.22-0ubuntu2.2~ubuntu16.04~ppa1_amd64.deb 4.14.22 amd64 Kubuntu Backports
libkjsapi4_4.14.16-0ubuntu3.3_i386.deb 4.14.16 i386 Ubuntu Updates Universe
libkjsapi4_4.14.16-0ubuntu3_i386.deb 4.14.16 i386 Ubuntu Universe
libkjsapi4_4.14.16-0ubuntu3_amd64.deb 4.14.16 amd64 Ubuntu Universe
libkjsapi4 - - -

Requires

Name Value
libc6 >= 2.14
libkdecore5 = 4:4.14.16-0ubuntu3.3
libpcre3 -
libqtcore4 >= 4:4.8.0
libstdc++6 >= 4.2.1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libkjsapi4_4.14.16-0ubuntu3.3_amd64.deb
Source Package kde4libs

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libkjsapi4 deb package:
    # sudo apt-get install libkjsapi4

Files

Path
/usr/lib/libkjs.so.4
/usr/lib/libkjs.so.4.14.16
/usr/lib/libkjsapi.so.4
/usr/lib/libkjsapi.so.4.14.16
/usr/share/doc/libkjsapi4/NEWS.Debian.gz
/usr/share/doc/libkjsapi4/changelog.Debian.gz
/usr/share/doc/libkjsapi4/copyright

Changelog

2019-08-12 - Paulo Flabiano Smorigo <pfsmorigo@canonical.com>
kde4libs (4:4.14.16-0ubuntu3.3) xenial-security; urgency=medium
* SECURITY UPDATE: Directory traversal vulnerability.
- debian/patches/CVE-2016-6232.patch: extraction location to be in
subfolder.
- CVE-2016-6232
* SECURITY UPDATE: malicious .desktop files (and others) would execute
code (LP: #1839432).
- debian/patches/CVE-2019-14744.patch: remove support for $(...) in
config keys with [$e] marker.
- CVE-2019-14744
2017-05-13 - Rik Mills <rikmills@kubuntu.org>
kde4libs (4:4.14.16-0ubuntu3.2) xenial-security; urgency=medium
* SECURITY UPDATE: Local privilege escalation (LP: #1689759)
- debian/patches/kauth-local-privilege-esc-CVE-2017-8422.patch
- Thanks to Sebastian Krahmer for reporting this issue,
Albert Astals Cid for fixing this issue.
- CVE-2017-8422
2017-03-02 - v.naini <vishnu@vishnunaini.com>
kde4libs (4:4.14.16-0ubuntu3.1) xenial-security; urgency=medium
* SECURITY UPDATE:Information Leak when accessing https when using a
malicious PAC file
- debian/patches/kio-sanitize-url-to-FindProxyForURL.patch
- Thanks to Safebreach Labs researchers Itzik Kotler, Yonatan Fridburg
and Amit Klein for reporting this issue, Albert Astals Cid for fixing
this issue.
- No CVE number.
- fixes (LP: #1668871)
2016-02-19 - Matthias Klose <doko@ubuntu.com>
kde4libs (4:4.14.16-0ubuntu3) xenial; urgency=medium
* libkhtml5: Suggest kdelibs5-plugins instead of recommending it.
2016-02-19 - Matthias Klose <doko@ubuntu.com>
kde4libs (4:4.14.16-0ubuntu2) xenial; urgency=medium
* libkio5: Suggest kdelibs5-plugins instead of recommending it.
2015-11-21 - Philip Muškovac <yofel@kubuntu.org>
kde4libs (4:4.14.16-0ubuntu1) xenial; urgency=medium
* Fix VCS Url to point to the correct location
* New upstream release 
- refresh disable_bogus_test.diff
* Refresh libkio5.symbols to remove missing internal symbols
* Merge with debian git master 
2015-12-02 - Maximiliano Curia <maxy@debian.org>
kde4libs (4:4.14.14-1) unstable; urgency=medium
* New upstream release (4.14.14).
* Update symbols files from buildds logs (4:4.14.13-1).
* Refresh patches.
2015-10-16 - Maximiliano Curia <maxy@debian.org>
kde4libs (4:4.14.13-1) unstable; urgency=medium
* New upstream release (4.14.13).
* Update install files.
* Update symbols files from buildds logs (4:4.14.12-2).
2015-11-03 - Philip Muškovac <yofel@kubuntu.org>
kde4libs (4:4.14.13-0ubuntu3) xenial; urgency=medium
* Fix autopackagetests by adding allow-stderr to the requirements.
2015-10-23 - Matthias Klose <doko@ubuntu.com>
kde4libs (4:4.14.13-0ubuntu2) xenial; urgency=medium
* No-change rebuild for giflib soname change.

See Also

Package Description
libkjsembed4_4.14.16-0ubuntu3.3_amd64.deb library for binding JavaScript objects to QObjects
libkmediaplayer4_4.14.16-0ubuntu3.3_amd64.deb KMediaPlayer Interface for the KDE Platform
libknewstuff2-4_4.14.16-0ubuntu3.3_amd64.deb "Get Hot New Stuff" v2 Library for the KDE Platform
libknewstuff3-4_4.14.16-0ubuntu3.3_amd64.deb "Get Hot New Stuff" v3 Library for the KDE Platform
libknotifyconfig4_4.14.16-0ubuntu3.3_amd64.deb library for configuring KDE Notifications
libkntlm4_4.14.16-0ubuntu3.3_amd64.deb NTLM Authentication Library for the KDE Platform
libkparts4_4.14.16-0ubuntu3.3_amd64.deb Framework for the KDE Platform Graphical Components
libkprintutils4_4.14.16-0ubuntu3.3_amd64.deb utility classes to deal with printing
libkpty4_4.14.16-0ubuntu3.3_amd64.deb Pseudo Terminal Library for the KDE Platform
libkrosscore4_4.14.16-0ubuntu3.3_amd64.deb Kross Core Library
libkrossui4_4.14.16-0ubuntu3.3_amd64.deb Kross UI Library
libktexteditor4_4.14.16-0ubuntu3.3_amd64.deb KTextEditor interfaces for the KDE Platform
libkunitconversion4_4.14.16-0ubuntu3.3_amd64.deb Unit Conversion library for the KDE Platform
libkutils4_4.14.16-0ubuntu3.3_amd64.deb dummy transitional library
libkworkspace5-5_5.5.5.2-0ubuntu1.1_amd64.deb Plasma Workspace for KF5 library
Advertisement
Advertisement